###

###

###

###

###

    GETPID(2)           Linux Programmer's Manual           GETPID(2)

    NAME
           getpid, getppid - get process identification

    SYNOPSIS
           #include <unistd.h>

           pid_t getpid(void);
           pid_t getppid(void);

    DESCRIPTION
           getpid  returns  the  process  ID  of the current process.
           (This is often used by routines that generate unique  tem-
           porary file names.)

           getppid  returns  the process ID of the parent of the cur-
           rent process.

    CONFORMING TO
           POSIX, BSD 4.3, SVID

### SEE ALSO

exec, fork, kill, mkstemp, tmpnam, tempnam, tmpfile,

###

    Linux 0.99.11              23 July 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0